/* -*- Mode: C++ -*-
 * $Id: CoachDisplay.h,v 1.1 2001/11/15 16:50:12 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachDisplay.h
 * Unitname: Framework/example/FCFoo
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2001-11-15
 * Last modified by $Author: frehe $ $Date: 2001/11/15 16:50:12 $
 *
 *
 * HISTORY
 *
 * $Log: CoachDisplay.h,v $
 * Revision 1.1  2001/11/15 16:50:12  frehe
 * Added a coach agent
 *
 */

/**
 * @file CoachDisplay.h
 * Include file for the class CoachDisplay.
 *
 * @par Unit:
 *      Framework/example/FCFoo
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2001/11/15 16:50:12 $
 */


#ifndef COACH_DISPLAY_H
#define COACH_DISPLAY_H


#include <string>

#include "ViewManager.h"
#include "ParameterView.h"
#include "CoachView.h"


#define CLEAR_SCREEN std::cout << char(27) << "[2J"
#define HOME_CURSOR std::cout << char(27) << "[H"
#define MOVE_CURSOR(x,y) std::cout << char(27) << '[' << x << ',' << y << 'H'


RS_BEGIN_NAMESPACE


/**
 * @class CoachDisplay CoachDisplay.h
 * Example class for what a debug information display could look like.
 *
 * <!-- @todo-->
 *
 * @par Unit:
 *      Framework/example/FCFoo
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2001/11/15 16:50:12 $
 */
class CoachDisplay {
public:
  CoachDisplay(UInt x = 40, UInt y = 10);
  ~CoachDisplay();
  
  void setLastSkill(const std::string&);
  void draw();

protected:
  ViewManager* viewManager;
  ParameterView* parameterView;
  CoachView* coachView;
  
  UInt col;
  UInt row;

  std::string lastSkill;
};


RS_END_NAMESPACE


#endif // !COACH_DISPLAY_H

