/* -*- Mode: C++ -*-
 * $Id: FFGotoBall.h,v 1.1 2001/09/28 14:27:40 andbo928 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: FFGotoBall.h
 * Unitname: Framework/skill
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: andbo928 $ $Date: 2001/09/28 14:27:40 $
 *
 *
 * HISTORY
 * $Log: FFGotoBall.h,v $
 * Revision 1.1  2001/09/28 14:27:40  andbo928
 * Imported FFGotoBall from FuzzyFoo source.
 *
 * Revision 1.3  2001/07/29 17:06:53  mikbr212
 * Better against cmu
 *
 * Revision 1.2  2001/04/13 18:15:44  andbo928
 * Now works without a lot of old skills.
 *
 * Revision 1.1.1.1  2001/04/08 11:33:58  sigge
 * Imported sources
 *
 * Revision 1.5  2000/10/09 11:47:29  olalu526
 * Removed the ballview (it caused a segfault).
 *
 * Revision 1.4  2000/10/09 11:07:47  olalu526
 * Made so that FFGotoBall inherits from MoveToPositionFacingBall.
 *
 * Revision 1.3  2000/10/07 14:28:23  olalu526
 * Added some skill files and fixed things.
 *
 * Revision 1.2  2000/10/01 13:05:55  olalu526
 * Updated FacingDirection, fixing bugs and stuff.
 *
 * Revision 1.1  2000/09/05 21:12:02  frehe
 * #include rs_log.h
 *
 */

/**
 * @file FFGotoBall.h
 * Include file for the skill class FFGotoBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: andbo928 $
 * $Date: 2001/09/28 14:27:40 $
 */


#ifndef FFGOTOBALL_H
#define FFGOTOBALL_H


#include "FFMoveToPosition.h"

RS_BEGIN_NAMESPACE


/**
 * @class FFGotoBall FFGotoBall.h
 * This class encapsulates a go to the ball skill.
 *
 * <!--
 * @pre The preconditions for the skill are...
 * @post The postconditions for the skill are...
 * @invariant The class invariant is...
 *
 * @todo This needs to be done...
 * -->
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: andbo928 $
 * $Date: 2001/09/28 14:27:40 $
 */
class FFGotoBall : public FFMoveToPosition {
public:
  FFGotoBall();
  virtual ~FFGotoBall();

  virtual Plan generatePlan();

  virtual FuzzyBool persistent();
  virtual FuzzyBool applicable();

  /** Return @c true (close to 1) if the skill has succeeded,
      i.e. its post conditions are satisfied. */
  virtual FuzzyBool succeed();

  /** Return @c true (close to 1) if the skill has failed,
      i.e. something went wrong. */
  virtual FuzzyBool failed();
protected:
};


RS_END_NAMESPACE


#endif // !FFGOTOBALL_H
