/* -*- Mode: C++ -*-
 * $Id: MarkPlayer.h,v 1.1 2001/09/19 20:50:21 aip2 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: MarkPlayer.h
 * Unitname: Framework/skill
 * $Revision: 1.1 $
 * Created by: Daniel Hedberg and Lucian Popescu 2001/09/17
 * Last modified by $Author: aip2 $ $Date: 2001/09/19 20:50:21 $
 *
 *
 * HISTORY
 *
 * $Log: MarkPlayer.h,v $
 * Revision 1.1  2001/09/19 20:50:21  aip2
 * Added the skill MarkPlayer. It only compiles but does nothing else...
 * *
 */

/**
 * @file MarkPlayer.h
 * Include file for the skill class GotoBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: aip2 $
 * $Date: 2001/09/19 20:50:21 $
 */


#ifndef MARKPLAYER_H
#define MARKPLAYER_H


#include "SkillWithSpeed.h"


RS_BEGIN_NAMESPACE


/**
 * @class MarkPlayer MarkPlayer.h
 * The first sentence is a brief description of the skill class MarkPlayer.
 * The rest is a longer description of the skill class MarkPlayer.
 * Use it to describe the skill!
 *
 * @pre The preconditions for the skill are ...
 * @post The intended postconditions for the skill are...
 *
 * @todo Things that should be done...
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: aip2 $
 * $Date: 2001/09/19 20:50:21 $
 */
class MarkPlayer : public SkillWithSpeed {
public:
  /** Default constructor. Here you can initialize the skill. */
  MarkPlayer(const Float spd);

  /** Destructor should clean up after the skill. */
  virtual ~MarkPlayer();

  
  /** This method is used to generate a plan for how the goal of
    the skill should be obtained by the agent. You can assume
    that the preconditions of the skill are true (this can be tested
    by calling the applicable() method, after you have implemented it). */
  virtual Plan generatePlan();

  /** This method should return a FuzzyBool telling the caller
    if the skill wants to be called again. */
  virtual FuzzyBool persistent();

  /** This method should implement the precondition specified in
   the description of the skill. */
  virtual FuzzyBool applicable();

  /** Return @c true (close to 1) if the skill has succeeded,
      i.e. its post conditions are satisfied. */
  virtual FuzzyBool succeed();

  /** Return @c true (close to 1) if the skill has failed,
      i.e. something went wrong. */
  virtual FuzzyBool failed();

  
private:
  /** Hide copy-constructor. */
  MarkPlayer(const MarkPlayer&);
  /** Hide assignment operator. */
  MarkPlayer& operator= (const MarkPlayer&);
};


RS_END_NAMESPACE


// Remove from here 
/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler and debugger understands the keyword inline then include
 * the inline definitions here, otherwise include them in the definition file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifdef RS_USE_INLINE
#  include "MarkPlayer.icc"
#endif
// To here if you do not have any inline definitions!

#endif // !MARKPLAYER_H
