#ifndef __SIFINDBALL_H__
#define __SIFINDBALL_H__

#include "Skill.h"
#include "WorldStateView.h"

RS_BEGIN_NAMESPACE

/**
 * @class SIFindBall Skill
 * This skill finds the ball using worldstateview and turning of the head.
 * Hopefully a bit faster to find the ball than FindBall (though we don't
 * guarantee it...)
 * @author Peter Andersson, Jonas Carlsson & Lucian Popescu
 * @version 2001-10-09
 */
class SIFindBall : public Skill
{
 public:
  SIFindBall();
  ~SIFindBall();

  virtual Plan generatePlan();
  virtual FuzzyBool applicable();
  virtual FuzzyBool persistent();
  virtual FuzzyBool succeed();
  virtual FuzzyBool failed();

 private:
  WorldStateView *worldStateView;
};

RS_END_NAMESPACE

#endif
