/* -*- Mode: C++ -*-
 * $Id: framework_types.h,v 1.2 2001/08/23 00:32:06 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: framework_types.h
 * Unitname: Framework
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2001/08/23 00:32:06 $
 *
 *
 * HISTORY
 *
 * $Log: framework_types.h,v $
 * Revision 1.2  2001/08/23 00:32:06  frehe
 * Removed dependencies.
 *
 * Revision 1.1  2000/09/03 22:08:45  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file framework_types.h
 * Include file with the types used by the RoboSoc framework.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2001/08/23 00:32:06 $
 */


#ifndef FRAMEWORK_TYPES_H
#define FRAMEWORK_TYPES_H


#include "basic_system_types.h"


RS_BEGIN_NAMESPACE


/** Represent the identity of a view, must be unique. */
typedef UInt16 ViewId;


/** Represent the result of updateing a view. */
enum ViewUpdateResult {
  UPDATE_OK,
  UPDATE_ALREADY_MADE,
  UPDATE_MISSING_UPDATES,
  UPDATE_ERROR
};


RS_END_NAMESPACE


#endif //FRAMEWORK_TYPES_H
